zenilib: glnames.StringTable Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
glnames.StringTable Class Reference

## Public Member Functions

def | __init__
def | dump
def | dump_sublist

## Public Attributes

| indices
| master_table
| names
| total

## Detailed Description

Definition at line 4908 of file glnames.py.

## Constructor & Destructor Documentation

def glnames.StringTable.__init__ | ( |  | self,
|  |  | name_list,
|  |  | master_table_name
| ) |  |

Definition at line 4909 of file glnames.py.

## Member Function Documentation

def glnames.StringTable.dump | ( |  | self,
|  |  | file
| ) |  |

Definition at line 4921 of file glnames.py.

References glnames.StringTable.master_table, TT_NameTableRec_.names, TT_Post_NamesRec_.names, glnames.StringTable.names, PFR_BitWriter_.total, and glnames.StringTable.total.

def glnames.StringTable.dump_sublist | ( |  | self,
|  |  | file,
|  |  | table_name,
|  |  | macro_name,
|  |  | sublist
| ) |  |

Definition at line 4935 of file glnames.py.

References T1_CMapCustomRec_.indices, FTC_CMapNodeRec_.indices, glnames.StringTable.indices, and glnames.StringTable.master_table.

## Member Data Documentation

glnames.StringTable.indices

Definition at line 4912 of file glnames.py.

Referenced by glnames.StringTable.dump_sublist().

glnames.StringTable.master_table

Definition at line 4911 of file glnames.py.

Referenced by glnames.StringTable.dump(), and glnames.StringTable.dump_sublist().

glnames.StringTable.names

Definition at line 4910 of file glnames.py.

Referenced by glnames.StringTable.dump().

glnames.StringTable.total

Definition at line 4919 of file glnames.py.

Referenced by glnames.StringTable.dump().

The documentation for this class was generated from the following file:

- zenilib/jni/external/freetype2/src/tools/glnames.py